Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Test and Performance Tools Platform (TPTP) » Do I really need PDE to run TPTP on XP?
Do I really need PDE to run TPTP on XP? [message #106817] Fri, 27 July 2007 19:32 Go to next message
Eclipse UserFriend
Originally posted by: mgraham.sscinc.com

I'm getting the following message when I "Search for Updates:"

The current configuration contains errors and this operation can have
unpredictable results.
TPTP Platform Trace (4.3.100.v200707090100-7E7AAg2hE77Y7X_R7A77)
requires plug-in "org.eclipse.pde.core".

(On the other hand, when I find this plugin in the "Manage Configuration",
it's Show Properties->Status tab says it's configured properly.)

I don't have any PDE (Platform Development Environment??) plugins, because
I'm not interested. I downloaded the Java IDE, not the complete system:

Eclipse Platform

Version: 3.3.0
Build id: I20070621-1340

I think accidently downloaded the TPTP SDK, although I don't really want
it.

I can't find any way to download just the PDE.

Can I ignore this? Can I fix it somehow?
Re: Do I really need PDE to run TPTP on XP? [message #106894 is a reply to message #106817] Mon, 30 July 2007 11:29 Go to previous message
Paul Slauenwhite is currently offline Paul SlauenwhiteFriend
Messages: 970
Registered: July 2009
Senior Member
Hi Marc,
This appears to be a defect since we made the PDE optional in 4.4:

https://bugs.eclipse.org/bugs/show_bug.cgi?id=183315
https://bugs.eclipse.org/bugs/show_bug.cgi?id=182365
https://bugs.eclipse.org/bugs/show_bug.cgi?id=182367

Can you open a defect against the TPTP Profiling product and Trace.UI
component?

In the meantime, please download the PDE SDK until this issue is
resolved:

http://download.eclipse.org/eclipse/downloads/drops/R-3.3-20 0706251500/index.php#PDESDK

Paul

Paul
"Marc" <mgraham@sscinc.com> wrote in message
news:f0b9802c5e0455e5e1c2577a6aad6af9$1@www.eclipse.org...
> I'm getting the following message when I "Search for Updates:"
>
> The current configuration contains errors and this operation can have
> unpredictable results.
> TPTP Platform Trace (4.3.100.v200707090100-7E7AAg2hE77Y7X_R7A77) requires
> plug-in "org.eclipse.pde.core".
>
> (On the other hand, when I find this plugin in the "Manage Configuration",
> it's Show Properties->Status tab says it's configured properly.)
>
> I don't have any PDE (Platform Development Environment??) plugins, because
> I'm not interested. I downloaded the Java IDE, not the complete system:
>
> Eclipse Platform
>
> Version: 3.3.0
> Build id: I20070621-1340
>
> I think accidently downloaded the TPTP SDK, although I don't really want
> it.
>
> I can't find any way to download just the PDE.
>
> Can I ignore this? Can I fix it somehow?
>
Previous Topic:Extending TPTP Attach problem - client never receives response from legacy agent
Next Topic:UML2 Log Interactions
Goto Forum:
  


Current Time: Thu Nov 27 17:39:05 GMT 2014

Powered by FUDForum. Page generated in 0.04445 seconds
.:: Contact :: Home ::.

Powered by: FUDforum 3.0.2.
Copyright ©2001-2010 FUDforum Bulletin Board Software